Summary: Library for H323 spec.
Name: openh323
Version: 1.13.4
%define tar_version 1_13_4
Release: 7
URL: http://www.openh323.org/
Source0: %{name}-v%{tar_version}-src.tar.gz

Patch1: openh323-1.12.0-asnparser.patch
Patch2: openh323-1.12.0-nosamples.patch
Patch3: openh323-1.13.4-prefix.patch
Patch4: openh323-1.13.4-PIC.patch
Patch5: openh323-1.13.4-no_protected.patch
License: MPL
Group: System Environment/Libraries
Requires: pwlib >= 1.6.5
Requires: speex
BuildRequires: pwlib-devel >= 1.6.5
BuildRequires: XFree86-devel
BuildRequires: speex-devel
BuildRequires: openldap-devel
BuildRequires: expat-devel
BuildRoot: %{_tmppath}/%{name}-root

%description
Implementation of the ITU H.323 teleconferencing protocol.

%package devel
Summary: Development package for openh323
Group: Development/Libraries
Requires: openh323 = %{PACKAGE_VERSION}
Requires: pwlib-devel >= 1.6.3
%description devel
Static libraries and header files for development with openh323.

%prep
%setup -q -n openh323
%patch1 -p1 -b .ansparser
%patch2 -p1 -b .nosamples
%patch3 -p1 -b .prefix
%patch4 -p1 -b .PIC
%patch5 -p1 -b .no_protected

%build
%configure --enable-localspeex=no

%ifarch ia64
# Disable optimization due to g++ segfault (#116369)
make optshared OPTCCFLAGS="$RPM_OPT_FLAGS" || true
g++  -DP_USE_PRAGMA -fno-rtti -D_REENTRANT -Wall  -DP_64BIT -fPIC -DPTRACING -Iinclude -DHAS_OSS -DPTRACING -I/usr/share/pwlib//include -DNDEBUG  -x c++ -c src/h245_1.cxx -o lib/obj_linux_ia64_r/h245_1.o
g++  -DP_USE_PRAGMA -fno-rtti -D_REENTRANT -Wall  -DP_64BIT -fPIC -DPTRACING -Iinclude -DHAS_OSS -DPTRACING -I/usr/share/pwlib//include -DNDEBUG  -x c++ -c src/h245_2.cxx -o lib/obj_linux_ia64_r/h245_2.o
g++  -DP_USE_PRAGMA -fno-rtti -D_REENTRANT -Wall  -DP_64BIT -fPIC -DPTRACING -Iinclude -DHAS_OSS -DPTRACING -I/usr/share/pwlib//include -DNDEBUG  -x c++ -c src/h245_3.cxx -o lib/obj_linux_ia64_r/h245_3.o
make optshared OPTCCFLAGS="$RPM_OPT_FLAGS"
%else
make optshared OPTCCFLAGS="$RPM_OPT_FLAGS"
%endif

#Remove this for now, seems to break stuff: %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make PREFIX=$RPM_BUILD_ROOT%{_prefix} LIBDIR=$RPM_BUILD_ROOT%{_libdir} install

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc ReadMe.txt mpl-1.0.htm
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root)
%{_libdir}/*.so
%{_includedir}/*
%{_datadir}/openh323

%changelog
* Wed Aug 18 2004 Daniel Reed <djr@redhat.com> 1.13.4-7
- remove ExcludeArch

* Thu Aug 12 2004 Daniel Reed <djr@redhat.com> 1.13.4-6
- ExcludeArch: ppc64 to temporarily work around #129699

* Tue Aug 10 2004 Daniel Reed <djr@redhat.com> 1.13.4-5
- Add .no_protected, weep quietly (why didn't this break on -06-15?)

* Mon Aug  9 2004 Daniel Reed <djr@redhat.com> 1.13.4-4
- remove autoconf BR; rebuild

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Sat Apr 10 2004 Warren Togami <wtogami@redhat.com> 1.13.4-2
- BR autoconf openldap-devel expat-devel

* Fri Apr  2 2004 Alexander Larsson <alexl@redhat.com> 1.13.4-1
- update to 1.13.4, remove upstreamed patches

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu Feb 26 2004 Alexander Larsson <alexl@redhat.com> 1.13.2-1
- update to 1.13.2 final

* Mon Feb 23 2004 Alexander Larsson <alexl@redhat.com> 1.13.2-0.pre1.1
- better ia64 workaround

* Fri Feb 20 2004 Alexander Larsson <alexl@redhat.com> 1.13.2-0.pre1.0
- update to 1.13.2pre1

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Jul  4 2003 Alexander Larsson <alexl@redhat.com> 1.12.0-2
- Rebuild with right P_64BIT define on ppc64

* Tue Jul  1 2003 Alexander Larsson <alexl@redhat.com> 1.12.0-1
- Update to 1.12.0
- Redo all patches for new makefiles

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Wed Jan  8 2003 Alexander Larsson <alexl@redhat.com> 1.11.2-3
- Update the PIC patch for the speex codec.

* Wed Jan  8 2003 Alexander Larsson <alexl@redhat.com> 1.11.2-2
- Actually mkdir datadir/openh323

* Wed Jan  8 2003 Alexander Larsson <alexl@redhat.com> 1.11.2-1
- Update to 1.11.2
- Removed extra speex source as it's now built in
- Update build patches
- Moved openh323u.mak to datadir/openh323

* Tue Jan  7 2003 Nalin Dahyabhai <nalin@redhat.com> 1.9.10-5
- Rebuild

* Wed Oct 23 2002 Alexander Larsson <alexl@redhat.com> 1.9.10-4
- Add speex header files

* Wed Oct 23 2002 Alexander Larsson <alexl@redhat.com> 1.9.10-3
- Fix unpackages files

* Wed Oct 23 2002 Alexander Larsson <alexl@redhat.com> 1.9.10-2
- Fix speex linking
- Remove custom strndup that was colliding with system one

* Wed Oct 23 2002 Alexander Larsson <alexl@redhat.com> 1.9.10-1
- Update to 1.9.10
- Include speex tarball

* Wed Oct  9 2002 Alex Larsson <alexl@redhat.com> 1.9.3-5
- Change to use _libdir etc. throughout specfile
- Build with -fPIC

* Sat Aug 10 2002 Elliot Lee <sopwith@redhat.com>
- rebuilt with gcc-3.2 (we hope)

* Tue Aug  6 2002 Alexander Larsson <alexl@redhat.com> 1.9.3-3
- Removed excludearch ia64

* Mon Jul 22 2002 Tim Powers <timp@redhat.com> 1.9.3-2
- rebuild using gcc-3.2-0.1

* Thu Jul 11 2002 Alexander Larsson <alexl@redhat.com> 1.9.3-1
- Update to 1.9.3

* Tue Jul  2 2002 Alexander Larsson <alexl@redhat.com> 1.9.1-1
- Updated to 1.9.1, some changes borrowed from
- the rpms by Carl-Johan Kjellander 

* Fri Mar 22 2002 Alex Larsson <alexl@redhat.com>
- Add versioned dependency on main package in devel package
- Fix to long line in desctiption

* Fri Mar  8 2002 Alex Larsson <alexl@redhat.com>
- Bump version to rebuild against new pwlib

* Mon Feb 25 2002 Alex Larsson <alexl@redhat.com>
- Update to 1.8.0

* Wed Sep 28 2001 Alex Larsson <alexl@redhat.com> 1.6.1-3
- made the devel package require the binary package

* Mon Aug 13 2001 Alexander Larsson <alexl@redhat.com> 1.6.0-2
- Changed libname to liboh323

* Mon Aug 13 2001 Alexander Larsson <alexl@redhat.com> 1.6.0-1
- Upgraded to 1.6.0

* Thu Jul  5 2001 Elliot Lee <sopwith@redhat.com> 1.5.5-3
- Remove PLATFORM_TYPE from libname

* Wed Jul  4 2001 Elliot Lee <sopwith@redhat.com> 1.5.5-2
- More fixups. The patch is not named IHATEYOU because of a loving relationship...

* Wed Jul  4 2001 Jonathan Blandford <jrb@redhat.com>
- Initial build.
